package com.reyun.saas.common.constants;

import org.springframework.util.StringUtils;

/**
 * @author: hanzepeng
 * @Date: 2022/03/03/18:24
 * @Description: 网站公告
 */
public enum  AfficheEnumType {


    /**
     * 个人信息处理合规提示
     */
    PERSONAL_INFO_COMPLIANCE_TIP("personalInfoComplianceTip")
    ;

    private String name;


    AfficheEnumType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 判断公告是否存在
     */
    public static boolean afficheExists(String afficheName){
        if(StringUtils.isEmpty(afficheName)) {
            return false;
        }
        AfficheEnumType[] values = AfficheEnumType.values();
        for (AfficheEnumType value : values) {
            if (value.getName().equals(afficheName)) {
                return true;
            }
        }
        return false;
    }

}
